Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061864 - [abrt] libreoffice-core: strlen(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: strlen(): soffice.bin killed by SIGSEGV
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b12d6bd25048417104c74d40169...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 19:11 UTC by daramas444
Modified: 2015-03-23 12:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-23 20:02:39 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-05 19:11 UTC, daramas444
no flags Details
File: cgroup (deleted)
2014-02-05 19:11 UTC, daramas444
no flags Details
File: core_backtrace (deleted)
2014-02-05 19:11 UTC, daramas444
no flags Details
File: dso_list (deleted)
2014-02-05 19:12 UTC, daramas444
no flags Details
File: environ (deleted)
2014-02-05 19:12 UTC, daramas444
no flags Details
File: exploitable (deleted)
2014-02-05 19:12 UTC, daramas444
no flags Details
File: limits (deleted)
2014-02-05 19:12 UTC, daramas444
no flags Details
File: maps (deleted)
2014-02-05 19:12 UTC, daramas444
no flags Details
File: open_fds (deleted)
2014-02-05 19:12 UTC, daramas444
no flags Details
File: proc_pid_status (deleted)
2014-02-05 19:12 UTC, daramas444
no flags Details
File: var_log_messages (deleted)
2014-02-05 19:12 UTC, daramas444
no flags Details

Description daramas444 2014-02-05 19:11:44 UTC
Description of problem:
In the "save as" window, I dragged a file in the "favorite locations". When I try to remove it from the fav location, LibreOffice crashes. That behavior doesn't happen with fav folder, which I can delete without problem.

Version-Release number of selected component:
libreoffice-core-4.1.4.2-5.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer '/home/edouard/Documents/Formation/Doctoral Course in Management/Modules/Management/Assignment.odt' --splash-pipe=5
crash_function: strlen
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 SalGtkFilePicker::getSelectedFiles at /usr/src/debug/libreoffice-4.1.4.2/vcl/unx/gtk/fpicker/SalGtkFilePicker.cxx:895
 #2 SalGtkFilePicker::getFiles at /usr/src/debug/libreoffice-4.1.4.2/vcl/unx/gtk/fpicker/SalGtkFilePicker.cxx:784
 #3 SalGtkFilePicker::execute at /usr/src/debug/libreoffice-4.1.4.2/vcl/unx/gtk/fpicker/SalGtkFilePicker.cxx:1007
 #4 sfx2::FileDialogHelper_Impl::implDoExecute at /usr/src/debug/libreoffice-4.1.4.2/sfx2/source/dialog/filedlghelper.cxx:1336
 #5 sfx2::FileDialogHelper_Impl::execute at /usr/src/debug/libreoffice-4.1.4.2/sfx2/source/dialog/filedlghelper.cxx:1489
 #6 sfx2::FileDialogHelper::Execute at /usr/src/debug/libreoffice-4.1.4.2/sfx2/source/dialog/filedlghelper.cxx:2402
 #7 ModelData_Impl::OutputFileDialog at /usr/src/debug/libreoffice-4.1.4.2/sfx2/source/doc/guisaveas.cxx:1075
 #8 SfxStoringHelper::GUIStoreModel at /usr/src/debug/libreoffice-4.1.4.2/sfx2/source/doc/guisaveas.cxx:1566
 #9 SfxObjectShell::ExecFile_Impl at /usr/src/debug/libreoffice-4.1.4.2/sfx2/source/doc/objserv.cxx:669

Comment 1 daramas444 2014-02-05 19:11:54 UTC
Created attachment 859811 [details]
File: backtrace

Comment 2 daramas444 2014-02-05 19:11:56 UTC
Created attachment 859812 [details]
File: cgroup

Comment 3 daramas444 2014-02-05 19:11:58 UTC
Created attachment 859813 [details]
File: core_backtrace

Comment 4 daramas444 2014-02-05 19:12:00 UTC
Created attachment 859814 [details]
File: dso_list

Comment 5 daramas444 2014-02-05 19:12:02 UTC
Created attachment 859815 [details]
File: environ

Comment 6 daramas444 2014-02-05 19:12:05 UTC
Created attachment 859816 [details]
File: exploitable

Comment 7 daramas444 2014-02-05 19:12:08 UTC
Created attachment 859817 [details]
File: limits

Comment 8 daramas444 2014-02-05 19:12:10 UTC
Created attachment 859818 [details]
File: maps

Comment 9 daramas444 2014-02-05 19:12:12 UTC
Created attachment 859819 [details]
File: open_fds

Comment 10 daramas444 2014-02-05 19:12:14 UTC
Created attachment 859820 [details]
File: proc_pid_status

Comment 11 daramas444 2014-02-05 19:12:16 UTC
Created attachment 859821 [details]
File: var_log_messages

Comment 12 David Tardon 2014-02-06 11:12:58 UTC
What is "favorite locations"?

Comment 13 Caolan McNamara 2014-02-06 11:32:20 UTC
submitted a blind fix upstream, but would ideally want to be able to reproduce this. Somehow or other the filter is NULL but we always set at least the "*" filter as far as I know.

Comment 14 daramas444 2014-02-11 19:23:02 UTC
@David: when you save a document for the first time, a window pops up and you can choose where to save and the name. On the left of this window, you can drag folders (what I call fav locations) which will be remembered. I think default are home, desktop, downloads, /, trash. And you can add the ones you use most of course.

I hope that answer is clear, otherwise I'll provide a screencap

Comment 15 David Tardon 2014-02-14 14:44:48 UTC
The only crash I am able to get there is on dragging an entry to another position and that is deep in gtk. So is there an exact sequence of steps that leads to your crash?

Comment 16 daramas444 2014-02-23 20:02:39 UTC
sorry for that long delay in replying. I can't reproduce the bug, actually I am no longer able to drag a file to the favs. I guess the recent update(s?) solved that.

Thanks anyway for your time and the constant improvements ;)


Note You need to log in before you can comment on or make changes to this bug.